import {
  myAwaitFlowTaskList
} from '../../../api/flowable'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    listData: []
  },

  /**
   * 查看详情
   * @param {*} e 
   */
  infoTap(e) {
    let {
      deployId,
      procInsId,
      taskId,
      taskName,
      category,
      startDeptName,
      startUserName,
      procDefName,
      businessKey,
      businessKeyName,
      businessDeptId,
      businessKeyParName,
      startUserId,
      finishTime
    } = e.currentTarget.dataset.set
    if (taskName == "提交申请") {
      wx.redirectTo({
        url: `../editTask/index?deployId=${deployId}&procInsId=${procInsId}&nickName=${startUserName}&deptName=${startDeptName}&procDefName=${procDefName}&taskId=${taskId}&taskName=${taskName}&category=${category}&projectName=${businessKeyName}&businessKey=${businessKey}&businessKeyParName=${businessKeyParName}&businessDeptId=${businessDeptId}&startUserId=${startUserId}`,
      })
    } else {
      wx.redirectTo({
        url: `../approveTask/index?deployId=${deployId}&procInsId=${procInsId}&nickName=${startUserName}&deptName=${startDeptName}&procDefName=${procDefName}&taskId=${taskId}&taskName=${taskName}&category=${category}&projectName=${businessKeyName}&businessKey=${businessKey}&businessKeyParName=${businessKeyParName}&businessDeptId=${businessDeptId}&startUserId=${startUserId}&finishTime=${finishTime}`,
      })
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.initListData();
  },

  /**
   * 初始化待我办理列表数据
   */
  initListData() {
    myAwaitFlowTaskList({}).then(res => {
      if (res.code == 200) {
        this.setData({
          listData: res.data
        })
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  returnToPage: function () {
    wx.redirectTo({
      url: '../../index/index',
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})